> For the complete documentation index, see [llms.txt](https://docs.cardspro.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cardspro.com/api/cards/otp-3ds-codes.md).

# OTP(3ds) codes

Retrieves up to the last 10 OTP codes for the card.

**Endpoint:** `GET /{san}/otp-codes`

**Path Parameters:**

* `san` - Secure Account Number (card identifier)

**Response:**

```json
[
  {
    "code": "123456",
    "date": "2026-06-25T19:35:01.543000Z"
  },
  {
    "code": "654321",
    "date": "2026-06-25T19:27:43.733000Z"
  }
]
```

**Response Parameters:**

| Field  | Type   | Description                                                    |
| ------ | ------ | -------------------------------------------------------------- |
| `code` | string | One-time password returned for the card.                       |
| `date` | string | Timestamp when the OTP code was generated, in ISO 8601 format. |
